CLEAR ALL
TILEMAP 1 NEW 48,25
SPRITE 1 BIND TILEMAP 1 SHOW XYSIZE 4,4
TARGET TILEMAP 1

PALETTE ASC("-"),RGB(0,128,255)
PALETTE ASC("X"),RGB(0,255,255)

t1=TCHAR("<")
t2=TCHAR(">")
CLEAR TILE t1
CUSTOM TILE t1,1,"   XX   "
CUSTOM TILE t1,2,"  XXXX  "
CUSTOM TILE t1,3,"--XXXX--"
CUSTOM TILE t1,4,"  XXXX  "
CUSTOM TILE t1,5,"   XX   "
CLEAR TILE t2
CUSTOM TILE t2,1,"   XX   "
CUSTOM TILE t2,2,"  XXXX  "
CUSTOM TILE t2,3,"--XXXX--"
CUSTOM TILE t2,4,"  XXXX  "
CUSTOM TILE t2,5,"   XX   "
PUT TILES 0,11,"<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
PUT TILES 0,12,">>>>>>>>>>>>>>>>> Hello World! >>>>>>>>>>>>>>>>>"
PUT TILES 0,13,"<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
DO
    ROLL TILE t1 LEFT
    ROLL TILE t2 RIGHT
    PAUSE
LOOP WHILE INKEY$=""

r=0
DO
    SPRITE 1 ROTATE r
    r=r+2:IF r=360 THEN r=0
    ROLL TILE t1 LEFT
    ROLL TILE t2 RIGHT
    PAUSE
LOOP WHILE INKEY$=""

sx=1:sy=1
sxd=0.05:syd=0.05
DO
    SPRITE 1 ROTATE r
    r=r+2:IF r=360 THEN r=0
    SPRITE 1 SCALE sx,sy
    sx=sx+sxd:sy=sy+syd
    IF sx<1 OR sx>5 THEN sxd=-sxd
    IF sy<1 OR sy>5 THEN syd=-syd
    ROLL TILE t1 LEFT
    ROLL TILE t2 RIGHT
    PAUSE
LOOP WHILE INKEY$=""
